## ros-rolling-moveit-common 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_common NONE)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "moveit_common-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-rolling-moveit-common (2.4.0-1focal) focal; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * Contributors: Abishalini

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-common (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-common (2.3.1-1focal) focal; urgency=high

  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Add backward_ros to moveit_common (#794 <https://github.com/ros-planning/moveit2/issues/794>)
  * Contributors: Dave Coleman, Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-common (2.3.0-1focal) focal; urgency=high

  * Upgrade to C++17
  * Contributors: Henning Kayser, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-rolling-moveit-common (2.2.1-1focal) focal; urgency=high

  * Set project VERSION in moveit_common, fix sonames (#532 <https://github.com/ros-planning/moveit2/issues/532>)
  * Contributors: Henning Kayser

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-rolling-moveit-common (2.2.0-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-rolling-moveit-common (2.1.4-1focal) focal; urgency=high

  * Fix ament_cmake 'buildtool_depend' in moveit_common (#480 <https://github.com/ros-planning/moveit2/issues/480>)
  * Contributors: Henning Kayser

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 31 May 2021 06:00:00 -0000

ros-rolling-moveit-common (2.1.3-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 22 May 2021 06:00:00 -0000

ros-rolling-moveit-common (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 20 Apr 2021 06:00:00 -0000

ros-rolling-moveit-common (2.1.1-1focal) focal; urgency=high

  * Enable linting for moveit_common package (#379 <https://github.com/ros-planning/moveit2/issues/379>)
  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 12 Apr 2021 06:00:00 -0000

ros-rolling-moveit-common (2.1.0-1focal) focal; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * Contributors: Lior Lustgarten

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Nov 2020 07:00:00 -0000

ros-rolling-moveit-common (1.1.1-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-common (1.1.0-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 07 Sep 2020 06:00:00 -0000

ros-rolling-moveit-common (1.0.1-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-rolling-moveit-common (1.0.0-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-rolling-moveit-common (0.10.8-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 24 Dec 2018 07:00:00 -0000

ros-rolling-moveit-common (0.10.5-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 01 Nov 2018 06:00:00 -0000

ros-rolling-moveit-common (0.10.4-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 30 Oct 2018 01:44:00 -0000

ros-rolling-moveit-common (0.10.3-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Oct 2018 10:12:00 -0000

ros-rolling-moveit-common (0.10.2-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 24 Oct 2018 06:00:00 -0000

ros-rolling-moveit-common (0.10.1-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 25 May 2018 06:00:00 -0000

ros-rolling-moveit-common (0.10.0-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 22 May 2018 06:00:00 -0000

ros-rolling-moveit-common (0.9.11-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 25 Dec 2017 07:00:00 -0000

ros-rolling-moveit-common (0.9.10-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 09 Dec 2017 07:00:00 -0000

ros-rolling-moveit-common (0.9.9-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 06 Aug 2017 06:00:00 -0000

ros-rolling-moveit-common (0.9.8-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 21 Jun 2017 06:00:00 -0000

ros-rolling-moveit-common (0.9.7-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 05 Jun 2017 06:00:00 -0000

ros-rolling-moveit-common (0.9.6-1focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-moveit-common
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-backward-ros, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-backward-ros, ros-rolling-ros-workspace
Description: Common support functionality used throughout MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-common//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-common 2.8.0

=== debian/changelog ===
ros-rolling-moveit-common (2.8.0-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-common (2.7.4-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-common (2.7.3-2jammy) jammy; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-common (2.7.2-2jammy) jammy; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * enabled -wformat (#2065 <https://github.com/ros-planning/moveit2/issues/2065>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Heramb Modugula, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-common (2.7.1-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-common (2.7.0-2jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Add -Wunused-parameter (#1756 <https://github.com/ros-planning/moveit2/issues/1756>)
  * Add -Wunused-function (#1754 <https://github.com/ros-planning/moveit2/issues/1754>)
  * Contributors: Chris Thrasher, Christian Henkel

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-common (2.6.0-2jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-common (2.5.3-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-common (2.5.2-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-moveit-common (2.5.1-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-moveit-common (2.5.0-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 May 2022 22:00:00 -0000

ros-rolling-moveit-common (2.4.0-2jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * Contributors: Abishalini

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Jan 2022 23:00:00 -0000

ros-rolling-moveit-common (2.3.2-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Dec 2021 23:00:00 -0000

ros-rolling-moveit-common (2.3.1-2jammy) jammy; urgency=high

  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Add backward_ros to moveit_common (#794 <https://github.com/ros-planning/moveit2/issues/794>)
  * Contributors: Dave Coleman, Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Dec 2021 23:00:00 -0000

ros-rolling-moveit-common (2.3.0-2jammy) jammy; urgency=high

  * Upgrade to C++17
  * Contributors: Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Oct 2021 22:00:00 -0000

ros-rolling-moveit-common (2.2.1-2jammy) jammy; urgency=high

  * Set project VERSION in moveit_common, fix sonames (#532 <https://github.com/ros-planning/moveit2/issues/532>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Jul 2021 22:00:00 -0000

ros-rolling-moveit-common (2.2.0-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 29 Jun 2021 22:00:00 -0000

ros-rolling-moveit-common (2.1.4-2jammy) jammy; urgency=high

  * Fix ament_cmake 'buildtool_depend' in moveit_common (#480 <https://github.com/ros-planning/moveit2/issues/480>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 30 May 2021 22:00:00 -0000

ros-rolling-moveit-common (2.1.3-2jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 May 2021 22:00:00 -0000

ros-rolling-moveit-common (2.1.2-2jammy) jammy; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Henning Kayser <henningkayser@picknik.ai>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-backward-ros, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-backward-ros, ros-rolling-ros-workspace
 Homepage: http://moveit.ros.org
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
